// 2D-KS $Id: Fasanno & Franceschini 2-D KS Test
// Author:  Raul H. C. Lopes

/**********************************************************************************
 * Package: 2D-KS                                                                  *
 *                                                                                *
 * Description:                                                                   *
 *      Implementation (see header file for description)                          *
 *                                                                                *
 * Author (alphabetical):                                                         *
 *      Raul H. Cardoso Lopes <raul.lopes@brunel.ac.uk>   - Brunel Unviversity    *
 *                            <rhclopes@yahoo.com.br>                             *
 *                                                                                *
 * Copyright (c) 2007:                                                            *
 *      Brunel University                                                         *
 *                                                                                *
 * This program is free software; you can redistribute it and/or modify           *
 * it under the terms of the GNU General Public License as published by           *  
 * the Free Software Foundation; either version 2 of the License, or (at          *
 * your option) any later version.                                                * 
 *                                                                                *
 * This program is distributed in the hope that it will be useful, but            *
 * WITHOUT ANY WARRANTY; without even the implied warranty of                     *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU              *
 * General Public License for more details.                                       *
 *                                                                                *
 *                                                                                *
 **********************************************************************************/


typedef double coord_t;


typedef struct point
{
  coord_t x;
  coord_t y;
} point_t;


int read_sample( point_t **ptsref, int n);


//# vi:sw=2 ts=2 sm et cindent backspace=eol,start,indent lines=35 columns=120
